Package org.apache.groovy.contracts.ast.visitor

# Class ConfigurationSetup

java.lang.Object
org.apache.groovy.contracts.ast.visitor.ConfigurationSetup

public class ConfigurationSetup extends Object
Makes some initialization in order to use the `Configurator` for determining which assertions in what packages will be executed.

See Also:
  - `Configurator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationSetup()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(ClassNode type)`
  Adds an instance field which allows to control whether GContract assertions are enabled or not.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationSetup

    public ConfigurationSetup()

- ## Method Details

  - ### init

    public void init(ClassNode type)
    Adds an instance field which allows to control whether GContract assertions are enabled or not. Before assertions are evaluated this field will be checked.
    Parameters:
      `type` - the current `ClassNode`
    See Also:
      - `Configurator`